--PrintDocument.applescript
--An InDesign CS4 AppleScript
--
--Prints the active document using the current print settings.
main()
on main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
end mySetup
on mySnippet()
	--Prints the active document using the current print settings.
	tell application "Adobe InDesign CS4"
		--<fragment>
		--The print statement has two optional varients:
		--without print dialog -- do not display the Print dialog box.
		--using "presetName" -- use a named printer preset.
		--The following line prints the document using the default
		--settings without displaying the Print dialog box.
		print document 1 without print dialog
		--</fragment>
	end tell
end mySnippet
to myTeardown()
end myTeardown