--SaveDocumentAs.applescript
--An InDesign CS4 AppleScript
--
--Shows how to save a document to a different file name.
main()
to main()
	mySetup()
	mySnippet()
	myTeardown()
end main
to mySetup()
	tell application "Adobe InDesign CS4"
		set myDocument to make document
		set myDesktopFolder to path to desktop as string
		set myFile to myDesktopFolder & "SaveDocumentAs.indd"
		tell myDocument
			save to myFile
		end tell
	end tell
end mySetup
to mySnippet()
	tell application "Adobe InDesign CS4"
		--<fragment>
		set myDesktopFolder to path to desktop as string
		set myFile to myDesktopFolder & "SaveDocumentAsDuplicate.indd"
		tell document 1 to save to myFile
		--</fragment>
	end tell
end mySnippet
to myTeardown()
end myTeardown