--UniformSlug.applescript
--An InDesign CS4 AppleScript
--
--Shows how to use the uniform size property of the document slug area.
main()
to main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
	tell application "Adobe InDesign CS4"
		make document
	end tell
end mySetup
on mySnippet()
	--Shows how to use the uniform size property of the document slug
	tell application "Adobe InDesign CS4"
		set myDocument to document 1
		--The slug properties belong to the document preferences object.
		--<fragment>
		--Given a document "myDocument"...
		tell document preferences of myDocument
			--Bleed
			set document slug top offset to "4p"
			set document slug uniform size to true
		end tell
		--</fragment>
	end tell
end mySnippet
on myTeardown()
end myTeardown