Rem ReplaceWord.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Creates a text frame in an example document,
Rem enters text in the text frame, and then replaces
Rem a word in the frame with a different phrase.
main
Function main()
	Set myInDesign = CreateObject("InDesign.Application")
	mySetup myInDesign
	mySnippet myInDesign
	myTeardown myInDesign
End Function
Function mySetup(myInDesign)
   Set myDocument = myInDesign.Documents.Add 
   myDocument.ViewPreferences.HorizontalMeasurementUnits = idMeasurementUnits.idPoints
   myDocument.ViewPreferences.VerticalMeasurementUnits = idMeasurementUnits.idPoints
   Set myPage = myDocument.Pages.Item(1)
   Set myTextFrame = myPage.TextFrames.Add
   Rem Set the bounds of the text frame.
   myTextFrame.geometricBounds = myGetBounds(myDocument, myDocument.Pages.Item(1))
   myTextFrame.contents = "This is some example text."
End Function
Function mySnippet(myInDesign)
   Rem <fragment>
   Set myDocument = myInDesign.Documents.Item(1)
   Set myPage = myDocument.Pages.Item(1)
   Set myTextFrame = myPage.TextFrames.Item(1)
   Rem Replace the third word with the phrase
   Rem "a little bit of".
   myTextFrame.ParentStory.Words.Item(3).contents = "a little bit of"
   Rem </fragment>
End Function
Function myTeardown(myInDesign)
End Function