--BeforePrint.applescript
--An InDesign CS4 Applescript
--
--Adds an event listener that performs a preflight check on
--a document before printing. If the preflight check fails, 
--the script gives the user the opportunity to cancel the print job.
main()
on main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
end mySetup
on mySnippet()
	tell application "Adobe InDesign CS4"
		--<fragment>
		make event listener with properties {event type:"beforePrint", handler:"yukino:IDEventHandlers:BeforePrintHandler.applescript", captures:true}
		--</fragment>
	end tell
end mySnippet
on myTeardown()
end myTeardown

