--EventListenersOn.applescript
--An InDesign CS4 AppleScript
--
--Turns on all event listeners on the application object.
main()
on main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
end mySetup
on mySnippet()
	tell application "Adobe InDesign CS4"
		--<fragment>
		set myEventNames to {"beforeNew", "afterNew", "beforeQuit", "afterQuit", "beforeOpen", "afterOpen", "beforeClose", "afterClose", "beforeSave", "afterSave", "beforeSaveAs", "afterSaveAs", "beforeSaveACopy", "afterSaveACopy", "beforeRevert", "afterRevert", "beforePrint", "afterPrint", "beforeExport", "afterExport", "beforeImport", "afterImport", "beforePlace", "afterPlace"}
		repeat with myEventName in myEventNames
			make event listener with properties {event type:myEventName, handler:"hazuki:Users:olavkvern:Desktop:CS4 scripts:GetEventInfo.applescript", captures:false}
		end repeat
		--</fragment>
	end tell
end mySnippet
on myTeardown()
end myTeardown