--BeforeDisplayHandler.applescript
--An InDesign CS4 AppleScript
--
--Provides a "beforeDisplay" event handler for the BeforeDisplay.applescript
--tutorial script. If one or more items are selected, enable the menu item. 

--<fragment>
tell application "Adobe InDesign CS4"
	try
		set mySampleScriptAction to script menu action "Display Message"
		set mySelection to selection
		if (count mySelection) > 0 then
			set enabled of mySampleScriptAction to true
		else
			set enabled of mySampleScriptAction to false
		end if
	on error
		alert("Script menu action did not exist.")
	end try
end tell
--</fragment>

