--InvokeMenuAction.applescript
--An InDesign CS4 AppleScript
--
--Shows how to run a menu action from a script.
main()
on main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
end mySetup
to mySnippet()
	tell application "Adobe InDesign CS4"
		--<fragment>
		set myTextObjects to {insertion point, word, text style range, line, paragraph, text column, text, story}
		if (count documents) > 0 then
			set mySelection to selection
			if (count mySelection) = 1 then
				if class of item 1 of mySelection is in myTextObjects then
					--Get a reference to a menu action.
					set myMenuAction to menu action "$ID/NotesMenu_ConvertToNote"
					--Run the menu action. The example action will fail if you do not
					--have text selected.
					invoke myMenuAction
				end if
			end if
		end if
		--</fragment>
	end tell
end mySnippet
on myTeardown()
end myTeardown