Rem PrintDocument.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Prints the active document using the specified printer preset.
main
Function main()
	Set myInDesign = CreateObject("InDesign.Application")
	mySetup myInDesign
	mySnippet myInDesign
	myTeardown myInDesign
End Function
Function mySetup(myInDesign)
	On Error Resume Next
	Set Set myPrinterPreset = myInDesign.PrinterPresets.Item("myPrinterPreset")
	If Err.Number <> 0 Then
		Set myPrinterPreset = myInDesign.PrinterPresets.Add
		myPrinterPreset.Name = "myPrinterPreset"
		Err.Clear
	End If
	On Error Resume Next
	myInDesign.Documents.Add
End Function
Function mySnippet(myInDesign)
	Rem <fragment>
	Set myDocument = myInDesign.Documents.Item(1)
	myDocument.PrintOut False, "myPrintPreset"
	Rem </fragment>
End Function
Function myTeardown(myInDesign)
End Function 