Rem PlaceTextFileInFrame.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Places a text file in a text frame.
main
Function main()
	Set myInDesign = CreateObject("InDesign.Application")
	mySetup myInDesign
	mySnippet myInDesign
	myTeardown myInDesign
End Function
Function mySetup(myInDesign)
	Set myDocument = myInDesign.Documents.Add
	myDocument.ViewPreferences.HorizontalMeasurementUnits = idMeasurementUnits.idPoints
	myDocument.ViewPreferences.VerticalMeasurementUnits = idMeasurementUnits.idPoints
	Set myPage = myDocument.Pages.Item(1)
	Rem Create a text frame.
	Set myTextFrame = myPage.TextFrames.Add
	myTextFrame.geometricBounds = myGetBounds(myDocument, myPage)
End Function
Function mySnippet(myInDesign)
	Rem <fragment>
	Set myDocument = myInDesign.Documents.Item(1)
	Set myPage = myDocument.Pages.Item(1)
	Set myTextFrame = myPage.TextFrames.Item(1)
	Rem Place a text file in the text frame.
	Rem Parameters for TextFrame.place():
	Rem File as string,
	Rem [ShowingOptions as Boolean = False]
	Rem You'll have to fill in your own file path.
	myTextFrame.Place "c:\test.txt"
	Rem </fragment>
End Function
Function myTeardown(myInDesign)
End Function